Subject: bug#59067: closed (Re: bug#59067: 29.0.50; Exexpected overlay order in `overlays-in' return value)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 10 Nov 2022 10:20:02 +0000

Your bug report

#59067: 29.0.50; Exexpected overlay order in `overlays-in' return value

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59067: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59067
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59067: 29.0.50; Exexpected overlay order in `overlays-in' return value
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 10 Nov 2022 12:19:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> Date: Sun, 06 Nov 2022 09:16:37 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Ihor Radchenko <[email-masked]>
> > Cc: [email-masked]
> > Date: Sun, 06 Nov 2022 07:04:54 +0000
> > 
> > You are right. `overlays-in' docstring does not give any promises.
> > It is not really a big deal for Org as well (can as well sort the return
> > value).
> > 
> > The only thing that could be useful on Emacs side is explicitly stating
> > in the `overlays-in' docstring that overlay list may be in arbitrary
> > order.
> 
> I'll wait for a few days for other ideas and opinions, and if nothing
> pops up, I will amend the documentation (and NEWS, as this is probably
> NEWS-worthy).

Now done.

Subject: 29.0.50; Exexpected overlay order in `overlays-in' return value
From: Ihor Radchenko <[email-masked]>
To: [email-masked]
Date: Sun, 06 Nov 2022 03:39:06 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Some Org tests are failing when testing with the latest Emacs 29 master.

To reproduce, get the latest Org from git and run make test.

The common feature of all the failing tests is usage of overlays-in and
expecting certain order of overlays in its return value. The order is
changed compared to Emacs 28.

I consider this an Emacs bug.

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.34, cairo version 1.16.0) of 2022-11-06 built on localhost
Repository revision: 6e5ec085510ccf52ac6cb07c3a1a2778324a1d89
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: Gentoo Linux

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>